[![Skynet Technologies USA LLC](sntg-company-in-usa.png)](https://www.skynettechnologies.com)

# All in One Accessibility Plugin

## Overview

**All in One Accessibility** widget improves **Grav** website ADA compliance and browser experience for ADA, WCAG 2.1 & 2.2, Section 508, California Unruh Act, Australian DDA, European EAA EN 301 549, UK Equality Act (EA), Israeli Standard 5568, Ontario AODA, Canada ACA, German BITV, France RGAA, Brazilian Inclusion Law (LBI 13.146/2015), Spain UNE 139803:2012, JIS X 8341 (Japan), Italian Stanca Act and Switzerland DDA Standards. 

Screen Reader, Voice Navigation, Dictionary, Virtual Keyboard, Accessibility Profiles, Sign language Libras (Brazilian Portuguese) Custom Widget Color, Icon size, Position, GA4 Tracking and custom accessibility statement link are the top features. 

AI Widget Supports 140 Languages and Voice Over. It is flexible & lightweight widget that can be changed according to law and reduces the risk of time-consuming accessibility lawsuits 

Follows the best industry practices and standards ISO 9001:2015 & ISO 27001:2013 and complies with GDPR, COPPA regulations. Member of W3C and International Association of Accessibility Professionals (IAAP). 

Our AI automatically remediates images Alternative text and uses the accessibility interface which handles UI and design related adjustments. All in One Accessibility plugin enhances your **Grav** website accessibility to people with hearing or vision impairments, motor impaired, color blind, dyslexia, cognitive & learning impairments, seizure and epileptic, and ADHD problems.  


Following **Features** can be added as an addon  
-    White Label service  
-    Custom Branding  
-    Live Site translates  
-    Customize Accessibility Menu/widget  
-    Accessibility Monitoring  
-    PDF / Word Document Remediation 


**Demo URL**
- https://www.skynettechnologies.com/

## Screenshot

**Admin Panel - Widget Setting**

![Widget Settings](screenshot_admin_setting.png)

**Frontend**

All in One Accessibility  Widget

![Allinoneaccessibility and widget](screenshot_frontend.png)

## Installation

Installing the **All in One Accessibility** plugin can be done in one of three ways: The GPM (Grav Package Manager) installation method lets you quickly install the plugin with a simple terminal command, the manual method lets you do so via a zip file, and the admin method lets you do so via the Admin Plugin.

### GPM Installation (Preferred)

To install the plugin via the [GPM](http://learn.getgrav.org/advanced/grav-gpm), through your system's terminal (also called the command line), navigate to the root of your Grav-installation, and enter:

    bin/gpm install allinoneaccessibility

This will install the All in One Accessibility plugin into your `/user/plugins`-directory within Grav.
Its files can be found under `/your/site/grav/user/plugins/allinoneaccessibility`.

Its data files are saved under
`/your/site/grav/user/data/allinone-manager`.


In Plugin Settings you can change the storage folder to pages/assets.

`/your/site/grav/pages/assets/allinone-manager`.

### Manual Installation

To install the plugin manually, download the zip-version of this repository and unzip it under `/your/site/grav/user/plugins`. Then rename the folder to `allinoneaccessibility`.

You should now have all the plugin files under

    /your/site/grav/user/plugins/allinoneaccessibility

### Admin Plugin

If you use the Admin Plugin, you can install the plugin directly by browsing the `Plugins`-menu and clicking on the `Add` button.

## Configuration

```yaml
enabled: true
data_storage: pages
```

Note that if you use the Admin Plugin, a file with your configuration named allinoneaccessibility.yaml will be saved in the `user/config/plugins/`-folder once the configuration is saved in the Admin.

## License

The All in One Accessibility is open-sourced software licensed under the [MIT license](http://opensource.org/licenses/MIT)

